# Uses of Class
ij.process.ShortProcessor

Packages that use ShortProcessor
Package
Description
ij.plugin.filter
ij.process

## Uses of ShortProcessor in ij.plugin.filter

Methods in ij.plugin.filter that return ShortProcessor
Modifier and Type
Method
Description
`ShortProcessor`
EDM.`make16bitEDM(ImageProcessor ip)`
Calculates a 16-bit grayscale Euclidean Distance Map for a binary 8-bit image.

## Uses of ShortProcessor in ij.process

Subclasses of ShortProcessor in ij.process
Modifier and Type
Class
Description
`class`
`SignedShortProcessor`
An extended ShortProcessor that supports signed 16-bit images (experimental).
Methods in ij.process that return ShortProcessor
Modifier and Type
Method
Description
`ShortProcessor`
ImageProcessor.`convertToShortProcessor()`
Returns a 16-bit version of this image as a ShortProcessor.
`ShortProcessor`
ImageProcessor.`convertToShortProcessor(boolean scale)`
Returns a 16-bit version of this image as a ShortProcessor.
Constructors in ij.process with parameters of type ShortProcessor
Modifier
Constructor
Description
``
`ShortBlitter(ShortProcessor ip)`
Constructs a ShortBlitter from a ShortProcessor.
``
`SignedShortProcessor(ShortProcessor ip)`